Skip to content
Shortcut: /, ⌘K or Ctrl+K

Quick replies

View as Markdown

The quick reply object

Attributes

  • shortcutstringrequiredlength1–25pattern^[\p{L}\p{N}]+$

    Specifies shortcut for this native business quick reply mutation.

  • messagestringrequiredlength1–65536

    Message content saved for this business quick reply.

  • keywordsarray of stringmax items100item length1–256

    Keywords associated with this native business quick reply mutation.

    Default []
  • countintegerrange0–2147483647

    Usage count recorded for this business quick reply.

    Default 0
  • idstringrequired

    Identifier for this resource.

The quick reply object
{
  "shortcut": "string",
  "message": "string",
  "keywords": [],
  "count": 0,
  "id": "string"
}

Create business quick reply

POST/messaging/{session}/business/quick-repliesMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • shortcutstringrequiredlength1–25pattern^[\p{L}\p{N}]+$

    Specifies shortcut for this native business quick reply mutation.

  • messagestringrequiredlength1–65536

    Message content saved for this business quick reply.

  • keywordsarray of stringmax items100item length1–256

    Keywords associated with this native business quick reply mutation.

    Default []
  • countintegerrange0–2147483647

    Usage count recorded for this business quick reply.

    Default 0

Responses

  • 200Quick reply created
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 5 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/business/quick-repliescURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/business/quick-replies" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "shortcut": "string",
  "message": "string"
}'
Response
{
  "success": true,
  "data": {
    "shortcut": "string",
    "message": "string",
    "id": "string"
  }
}

List business quick replies

GET/messaging/{session}/business/quick-repliesMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Best-effort quick reply list
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 5 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/business/quick-repliescURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/business/quick-replies" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "policy": "off",
    "status": "disabled",
    "quickReplies": [
      {
        "shortcut": "string",
        "message": "string",
        "id": "string",
        "associatedLabelIds": [
          "string"
        ],
        "observedAt": "2026-09-22T12:00:00Z"
      }
    ]
  }
}

Set business quick reply

PUT/messaging/{session}/business/quick-replies/{quickReplyId}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • quickReplyIdstringrequiredlength1–20pattern^[0-9]+$

    Identifier for the quick reply.

Body

  • shortcutstringrequiredlength1–25pattern^[\p{L}\p{N}]+$

    Specifies shortcut for this native business quick reply mutation.

  • messagestringrequiredlength1–65536

    Message content saved for this business quick reply.

  • keywordsarray of stringmax items100item length1–256

    Keywords associated with this native business quick reply mutation.

    Default []
  • countintegerrange0–2147483647

    Usage count recorded for this business quick reply.

    Default 0

Responses

  • 200Quick reply replaced
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 5 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/business/quick-replies/{quickReplyId}cURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/business/quick-replies/<quickReplyId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "shortcut": "string",
  "message": "string"
}'
Response
{
  "success": true,
  "data": {
    "shortcut": "string",
    "message": "string",
    "id": "string"
  }
}

Delete business quick reply

DELETE/messaging/{session}/business/quick-replies/{quickReplyId}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • quickReplyIdstringrequiredlength1–20pattern^[0-9]+$

    Identifier for the quick reply.

Responses

  • 200Quick reply deleted
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 2 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
DELETE /messaging/{session}/business/quick-replies/{quickReplyId}cURL
Not available with the Test key. Use a team key or project token.
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/business/quick-replies/<quickReplyId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "id": "string",
    "status": "DELETED"
  }
}